<template>
  <transition appear name="fade">
  <header>
    <Nav></Nav>
    <div>
      <section>
        <PageTitle :title="'Odisee trajectplanner'"></PageTitle>

        <Paragraph :text="'De Odisee Trajectplanner is een applicatie die studenten' +
                          ' in staat stelt om hun modeltraject te simuleren, ' +
                          'op te slaan en te delen.'"></Paragraph>
        <Paragraph :text="'Ben je een student op Odisee en wil je jouw traject stimuleren? ' +
                          'Ga aan de slag.'"></Paragraph>
        <PrimeBtn :value="value" @action="goTo($event)"></PrimeBtn>
      </section>
      <figure class="pic">
        <img src="../assets/header.png" alt="header">
      </figure>
    </div>
  </header>
  </transition>
</template>

<script>
import PrimeBtn from '@/components/UI/atoms/PrimeBtn.vue';
import Nav from '@/components/UI/organisms/Nav.vue';
import PageTitle from '@/components/UI/atoms/PageTitle.vue';
import Paragraph from '@/components/UI/atoms/Paragraph.vue';

export default {
  name: 'About',
  components: {
    Paragraph,
    PageTitle,
    Nav,
    PrimeBtn,
  },
  data() {
    return {
      // navItems: [
      //   { text: 'mijn trajecten', url: '#' },
      //   { text: 'gedeelde trajecten', url: '#' },
      //   { text: 'favoriete trajecten', url: '#' },
      //   { text: 'inloggen', url: '#' },
      // ],
      value: 'Aan de slag',
    };
  },
  methods: {
    goTo() {
      this.$router.push({ name: 'Dashboard' });
    },
  },
};
</script>

<style lang="scss">
.fade-enter-from{
  opacity: 0;
}
.fade-enter-active{
  transition: opacity .5s;
}

header>div{
  display: flex;
  justify-content: space-between;
}
section{
  width: 30%;
  min-width: 400px;
  margin: 0 auto;
  align-self: center;
}

figure img{
  height: 95vh;
  line-height: 0;
}
@media only screen and (max-width: 1150px){
  .pic img{
    width: 100%;
  }
}
@media only screen and (max-width: 800px){
  .pic img{
   display: none;
  }
  section{
    width: 80%;
    margin-top: 25%;
  }
}
</style>
